Update (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.sql
Class Update

    java.lang.Object
      org.hibernate.sql.Update

    public class Update

extends Object

An SQL `UPDATE` statement

Constructor Summary
`Update(Dialect dialect)`

Method Summary
`Update` | `addColumn(String columnName)`
`Update` | `addColumn(String columnName, Object value, LiteralType type)`
`Update` | `addColumn(String columnName, String valueExpression)`
`Update` | `addColumns(String[] columnNames)`
`Update` | `addColumns(String[] columnNames, boolean[] updateable, String[] valueExpressions)`
`Update` | `addColumns(String[] columnNames, String valueExpression)`
`Update` | `addPrimaryKeyColumn(String columnName, String valueExpression)`
`Update` | `addPrimaryKeyColumns(String[] columnNames)`
`Update` | `addPrimaryKeyColumns(String[] columnNames, boolean[] includeColumns, String[] valueExpressions)`
`Update` | `addPrimaryKeyColumns(String[] columnNames, String[] valueExpressions)`
`Update` | `addWhereColumn(String columnName)`
`Update` | `addWhereColumn(String columnName, String valueExpression)`
`Update` | `addWhereColumns(String[] columnNames)`
`Update` | `addWhereColumns(String[] columnNames, String valueExpression)`
`Update` | `appendAssignmentFragment(String fragment)`
`String` | `getTableName()`
`Update` | `setComment(String comment)`
`Update` | `setPrimaryKeyColumnNames(String[] columnNames)`
`Update` | `setTableName(String tableName)`
`Update` | `setVersionColumnName(String versionColumnName)`
`Update` | `setWhere(String where)`
`String` | `toStatementString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Update

    public Update(Dialect dialect)

Method Detail

### getTableName

    public String getTableName()

### appendAssignmentFragment

    public Update appendAssignmentFragment(String fragment)

### setTableName

    public Update setTableName(String tableName)

### setPrimaryKeyColumnNames

    public Update setPrimaryKeyColumnNames(String[] columnNames)

### addPrimaryKeyColumns

    public Update addPrimaryKeyColumns(String[] columnNames)

### addPrimaryKeyColumns

    public Update addPrimaryKeyColumns(String[] columnNames,
                                       boolean[] includeColumns,
                                       String[] valueExpressions)

### addPrimaryKeyColumns

    public Update addPrimaryKeyColumns(String[] columnNames,
                                       String[] valueExpressions)

### addPrimaryKeyColumn

    public Update addPrimaryKeyColumn(String columnName,
                                      String valueExpression)

### setVersionColumnName

    public Update setVersionColumnName(String versionColumnName)

### setComment

    public Update setComment(String comment)

### addColumns

    public Update addColumns(String[] columnNames)

### addColumns

    public Update addColumns(String[] columnNames,
                             boolean[] updateable,
                             String[] valueExpressions)

### addColumns

    public Update addColumns(String[] columnNames,
                             String valueExpression)

### addColumn

    public Update addColumn(String columnName)

### addColumn

    public Update addColumn(String columnName,
                            String valueExpression)

### addColumn

    public Update addColumn(String columnName,
                            Object value,
                            LiteralType type)
                     throws Exception

  Throws:
    `Exception`

### addWhereColumns

    public Update addWhereColumns(String[] columnNames)

### addWhereColumns

    public Update addWhereColumns(String[] columnNames,
                                  String valueExpression)

### addWhereColumn

    public Update addWhereColumn(String columnName)

### addWhereColumn

    public Update addWhereColumn(String columnName,
                                 String valueExpression)

### setWhere

    public Update setWhere(String where)

### toStatementString

    public String toStatementString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.